Package org.postgresql.jdbc2

# Class ArrayAssistantRegistry

java.lang.Object
org.postgresql.jdbc2.ArrayAssistantRegistry

public class ArrayAssistantRegistry extends Object
Array assistants register here.

## Constructor Summary

Constructors
Constructor
Description
`ArrayAssistantRegistry()`

## Method Summary

Modifier and Type
Method
Description
`static @Nullable ArrayAssistant`
`getAssistant(int oid)`
`static void`
`register(int oid, ArrayAssistant assistant)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ArrayAssistantRegistry

public ArrayAssistantRegistry()

## Method Details

### getAssistant

public static @Nullable ArrayAssistant getAssistant(int oid)

### register

public static void register(int oid, ArrayAssistant assistant)